commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Niall Pemberton <niall.pember...@gmail.com>
Subject Re: [Compress] what Java version is targetted? Pom does not specify
Date Fri, 13 Feb 2009 00:09:12 GMT
On Thu, Feb 12, 2009 at 10:04 AM, Stefan Bodewig <bodewig@apache.org> wrote:
> On 2009-02-12, Christian Grobmeier <grobmeier@gmail.com> wrote:
>
>> Here it is:
>> https://issues.apache.org/jira/browse/SANDBOX-288
>
> applied, thanks.
>
>> You have to check the compiler-plugin for the information:
>> http://maven.apache.org/plugins/maven-compiler-plugin/examples/set-compiler-source-and-target.html

I have modified this - commons already has the compiler plugin
configured in the commons-parent pom (which compress uses) and this
can simply be set by configuring the appropriate properties. Besides
reducing the amount of config required it also adds these properties
to the jar's manifest which makes it possible to find out what version
the component is targetted at.

I also upgraded to the latest version of the sandbox pom which has
other improvements (e.g. outputting appropriate OSGi info to the
manifest)

Niall

> Thanks again.
>
> Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message